== Changelog ==
= 2.8.0 (03 December 2025) =
New: Added dedicated EazyDocs Admin Dashboard page
New: Added featured image support for the EazyDocs shortcode
Fixed: Prevented empty search submissions in all EazyDocs search forms
Fixed: Improved Previous/Next docs navigation markup and resolved structural inconsistencies
Improved: Major dashboard UI and analytics enhancements
    – Added “View More” analytics link inside dashboard cards
    – Fixed active-state issue on the Performance tab
    – Updated search analytics chart with grey fallback when data is missing
    – Added Top Ranked Docs section for engagement insights
Improved: WpEazy AI presentation added inside the Doc Builder
Improved: Enhanced security with added nonce verification and capability checks across AJAX/admin actions
Improved: Refactored doc creation logic to unify handlers and simplify Create_Post workflow
Improved: Strengthened permission checks across review notices, CSF import/export/reset, and one-page edit actions
Improved: Refactored Google_Login enrollment logic for clarity and maintainability
Improved: Refreshed search banner and breadcrumb colors for a cleaner look.

= 2.7.4 (14 November 2025) =
Fixed: Database deadlock issue caused by uppercase SQL column types in CREATE TABLE statements triggering unnecessary dbDelta operations on every request
Fixed: Local File Inclusion (LFI) vulnerability patched in template loading functions
Fixed: Resolved Advanced Accordion Block plugin installation issue in FAQ Builder
Security: Added input validation and path traversal protection to eazydocs_get_template_part() and eazydocs_get_template() functions
Security: Implemented whitelist validation for template file paths to prevent arbitrary file inclusion
Improved: Normalized all SQL DDL statements to lowercase to ensure compatibility with WordPress dbDelta function
Improved: Replaced hardcoded color values with CSS variables for the attached file accordion
Improved: Sanitized URL hash on docs page load for enhanced security

= 2.7.3 (08 November 2025) =
Tweaked: Minor CSS and style improvements for visual consistency
Tweaked: Removed the border-bottom from the last search result item for a cleaner visual appearance
Improved: Heading scroll offset adjusted for accurate anchor positioning
Improved: Doc single page typography refined for better readability
Updated: Attached files feature updated using WordPress hooks for better extensibility

= 2.7.2 (16 October 2025) =
Fixed: Grid and masonry layout issues resolved in both single and multi-docs Elementor widgets for consistent display
Fixed: Broken Access Control vulnerability resolved by adding proper permission checks to AJAX endpoints
Fixed: Single docs layout collapsed issue with WoodMart theme
Fixed: Vulnerability issues
Tweaked: Security and code consistency improved
Tweaked: Refined constant definitions and removed redundant code
Tweaked: Improved handling of dynamic content and AJAX endpoints
Tweaked: Doc single page markup updated to make it more SEO friendly
Enhanced: Documentation builder refined by reorganizing layout rendering logic across multiple templates for better performance and structure
Enhanced: Icon/featured image added to Docs widget tab on Style 3
Enhanced: CSS and UI consistency for better user experience
Improved: Input sanitization and validation to address potential vulnerabilities
Improved: Setup wizard made smoother and more user-friendly with efficient wrapper functions (ezd_render_setup_step_wrapper, ezd_render_setup_buttons)
Improved: Admin panel feedback section styling refined with better CSS alignment and layout adjustments for a cleaner interface.
Improved: Grammar in notices corrected and SCSS styling improved for consistency and visual appeal
Improved: Doc Sections design improved in the Single doc page
Reorganized: Repetitive code replaced with reusable helper functions (ezd_get_doc_items, ezd_render_doc_items_list, etc.) to improve maintainability
Updated: ezd_arrow() function now returns the icon class instead of echoing it, ensuring correct icon rendering in Elementor widgets
Updated: CSS optimized to make UI elements cleaner and ensure faster loading performance
Updated: Language files updated

= 2.7.1 (18 September 2025) =
Tweaked: Docs Builder UI improved
Tweaked: Improved the review notice design
Tweaked: Removed unnecessary padding from highlighted text in left sidebar
Updated: Freemius SDK updated to 2.12.2

= 2.7.0 (17 August 2025) =
New: Added Migration Tool to move docs from BetterDocs to EazyDocs (Go to EazyDocs > Migration, click “Start Migration,” then review and delete BetterDocs)
New: Added Google Login functionality with configurable settings
New: Added setting to enable/disable search form submission via Enter key or search icon
Fixed: Security issues by properly escaping output
Fixed: Resolved correct previous/next navigation order in Docs hierarchy
Fixed: Fixed incorrect child doc ordering in the left sidebar
Fixed: A PHP deprecation issue fixed on includes/functions.php file
Fixed: Quote sign wasn't rendering correctly on Feedback email subject and email body
Fixed: Doc Tab ID Format wasn't working in the MultiDocs Elementor widget. Now it's fixed with optimized code for better performance
Tweaked: Drafted docs shows on sidebar
Tweaked: Update pro feature unlock logic with active theme conditions and improve
Tweaked: Improved search result order in ajax search
Tweaked: Improved CSS to handle overflow when many docs are present in the sidebar

= 2.6.9 (17 July 2025) =
Fixed: Settings issue resolved
Fixed: Resolved admin menu title for EazyDocs via CSF field
Updated: EazyDocs shortcode updated

= 2.6.8 (12 July 2025) =
New: Dashboard Menu Title option added in the EazyDocs Settings > General page
New: Added a new button to see onePage Fullscreen layout demo
fixed: Docs edit issue resolved
Fixed: Translation issues
Fixed: Security issues fixed
Fixed: Resolved some issues of Assistant fields
Tweaked: Admin Doc sidebar width flexibility improved
Tweaked: Make the string translation safe and secure
Tweaked: Improved View OnePage demo button
Updated: Language files updated

= 2.6.7 (18 June 2025) =
Fixed: Accordion reorder issue at depth-4 resolved
Tweaked: Improved the Full width container in mobile devices
Tweaked: Improved doc single page design 

= 2.6.6 (28 May 2025) =
New: Tags show hide option added in 'EazyDocs > Settings > Docs single'
New: Added Order & OrderBy options to MultiDocs widget
Fixed: Child doc count was showing wrong in the Doc builder UI
Fixed: Child doc title alignment issue fixed in content area
Fixed: Resolved update database admin notice
Tweaked: Parent doc active color applied for all depths
Tweaked: Improve the left sidebar on mobile device
Updated: Freemius SDK updated to 2.12.0

= 2.6.5 (10 May 2025) =
New: Added option to hide "View All" button on Docs archive for docs that have no child items
New: Added a control for show the Number of articles to show under every sections
New: Added a new style hover tab option in the Eazydocs 'Multidocs' widget
Fixed: Left sidebar menu active issue with ajax loading
Fixed: Fixed the position of the TOC sidebar toggle button on mobile
Fixed: TOC scroll height issue resolved
Fixed: Resolved EazyDocs layout conflict with BuddyBoss Theme
Fixed: Resolved deprecation warning by wrapping csf files in hook
Fixed: Button alignment issue in the EazyDocs Search Elementor widget
Fixed: Multi Docs widget tabs with masonry issue solved
Tweaked: Active color added for the Parent doc of the current active Doc item
Tweaked: Setup wizard design improved

= 2.6.4 (06 April 2025) =
New: Embed Post shortcode added in EazyDocs Toolbar
Fixed: Credit text overflown issue
Tweaked: Disable the enter key for search field
Tweaked: Multi Docs Elementor widget controls reorganized
Tweaked: Multi Docs widget
Tweaked: Removed some unused CSS

= 2.6.3 (22 March 2025) =
Fixed: Missing multidocs widgets masonry layout resolved
Tweaked: Advanced Accordion Gutenberg Block plugin added in the Setup Wizard plugin recommendation step
Tweaked: Unloaded unnecessary CSS and JS files from the Setup Wizard page
Tweaked: Setup Wizard code file structure improved to make the maintenance easier

= 2.6.2 (16 March 2025) =
New: Included required & recommended plugins installation section in setup wizard
New: Added install/activate button in setup wizard plugin section instead of switcher
Fixed: Resolved the review notice
Tweaked: Dashicons used instead of fontawesome icon to optimize performance in the dashboard
Tweaked: Enable Sticky for Left and Right Sidebars on Mobile Screens
Tweaked: Getting Started renamed to Setup Wizard
Tweaked: Padding added before anchor.js icon
Tweaked: Removed some unnecessary code
Tweaked: Improved the top spacing of the left sidebar on the OnePage docs
Updated: Settings page icons changed

= 2.6.1 (27 February 2025) =
Fixed: Settings page hide issue
Tweaked: Onepage dark Mode improved
Tweaked: JS code optimized for better performance

= 2.6.0 (24 February 2025) =
Tweaked: Added conditions to ensure plugin notices are displayed only to the appropriate users.

= 2.5.9 (23 February 2025) =
New: Offer notice added for our beloved users (not for new users)
New: Loco.xml configuration file added for multiple text domains mapping in Loco translate plugin
Fixed: Customizer settings option unlock with free instead of promax plan
Updated: Language files (.pot and .po) updated with the latest strings

= 2.5.8 (01 February 2025) =
New: Brand color shades added in css variables
Fixed: Resolved redirection issue during plugin activation
Fixed: Private docs drag and drop issue resolved
Fixed: An PHP error fixed
Tweaked: Frontend view in dark mode improved
Updated: Freemius SDK updated to 2.11.0

= 2.5.7 (22 January 2025) =
New: Added functions for detecting EazyDocs admin pages, post types and taxonomy page
Fixed: Some control & responsive issue of "Single Doc" Elementor widget
Fixed: Search widget dependency issue solved
Fixed: The search widget static keyword text field was not editable, it resolved
Fixed: Codestar conflicts with Docy theme
Fixed: Cannot modify header information - headers already sent by... PHP error
Fixed: Undefined issue resolved by defining eazydocs settings option in right sidebar for widgets
Fixed: Some control issue of "EazyDocs Multi Doc" Elementor widget
Tweaked: Removed notices from EazyDocs pages
Tweaked: Improved admin assets loading
Tweaked: File loading dependency improved
Tweaked: Codestar updated
Tweaked: Assets re-organized
Tweaked: Related docs design

= 2.5.6 (18 December 2024) =
Fixed: Removed Scheme Key from Widget for compatibility with the latest version of Elementor (3.26.0)
Tweaked: Removed ezd_get_breadcrumb action
Tweaked: Reverted breadcrumbs markup
Tweaked: Before and after hook added for single doc content

= 2.5.5 (14 December 2024) =
Fixed: Fixed the TOC auto numbering, when an item is active
Fixed: WordPress database error: [Table 'wp.wp_eazydocs_view_log' doesn't exist]
Fixed: Shortcode support inside footnote has been reverted, as it was breaking the design
Fixed: Protected posts of docs enabled in search result
Fixed: CSF translation issue resolved
Tweaked: Improve some CSS in Single Doc widget
Tweaked: Include private docs in search for logged-in users
Tweaked: Exclude private docs from search for visitors
Updated: Freemius SDK updated to 2.10.1

= 2.5.4 (12 October 2024) =
Fixed: The Padding settings wasn't working on the Search Banner Block
Fixed: ul,ol was style was conflicting with theme css
Tweaked: Added shortcode support inside footnote

= 2.5.3 (17 September 2024) =
New: Added a secondary title option for long titles, allowing you to display a shorter title in the left sidebar.
New: Added an option to show/hide the main title on single pages via 'EazyDocs > Settings > General'.
Fixed: User access issue with settings customizer options
Fixed: Shortcode block settings issue fixed
Fixed: The 'Prev' button at the bottom of the content page were not working
Fixed: Empty meta fields creation issue resolved
Fixed: Removed data-bs-spy attribute to fix Docy tab active state issue
Fixed: Parent doc link background and color option added 'EazyDocs > Settings > Doc Single'
Tweaked: Ul, Ol design improved
Tweaked: Wrong escaping removed
Tweaked: Removed settings link from admin bar
Tweaked: Added some CSS for rtl
Tweaked: Tags based result display in search result
Tweaked: Promax notice added for subscription & selected comment feature
Tweaked: Search Elementor widget level text locked "popular" with pro

= 2.5.2 (11 August 2024) =
New: Added a Switcher in the (Settings > Doc Single > General > Full Excerpt) for showing full excerpt in the parent doc page
Fixed: Fixed search banner issue
Fixed: Resolved the issue with 404 errors by removing the post type slug from URL

= 2.5.1 (25 July 2024) =
New: Setup wizard added
New: Parent doc on the top of the Doc title
Tweaked: Made the Font size switching compatible with heading tags
Fixed: All code of EazyDocs is re-reviewed and fixed some security and vulnerability issues. Now, EazyDocs is more secured.
Fixed: Previous doc link was not showing correctly on the Doc navigation

= 2.5.0 (23 May 2024) =
New: Added Import/Export Option for Settings. now you're able to export your settings from 'EazyDocs > Settings > Backup' and you can import it another site
Fixed: Some sanitization function was misused in the plugin. Now, all the functions are properly sanitized and escaped.
Fixed: TOC auto numbering & Label color option
Fixed: Solved Font size switcher overlapping issue
Fixed: Settings menu capability related fatal error resolved
Fixed: SMTP conflict issue resolved
Fixed: Block theme hamburger and mobile menu issue solved
Fixed: Solved the Doc password protection form deprecated issues
Tweaked: improved navigation and feedback switcher Settings
Tweaked: Close the Feedback form on pressing the ESC button

= 2.4.1 (11 April 2024) =
New: Some Control fields (Show/hide switcher, title field) are added for Articles in the 'EazyDocs > Settings > Doc Single > General' page
Fixed: An error notice "This block has encountered an error and cannot be previewed" was showing on editing the existing gutenberg blocks
Fixed: Uncaught TypeError in /eazydocs/includes/Admin/template/header.php on line 53
Fixed: Deprecated: Increment on non-alphanumeric string is deprecated in /eazydocs/includes/Admin/template/child-docs.php on line 10
Fixed: Deprecated: Increment on non-alphanumeric string is deprecated in /eazydocs/includes/Admin/template/parent-docs.php on line 17
Tweaked: Some settings are organized to control in ease (Settings > Doc Single > General)
Tweaked: Moved Docs archive options in the 'EazyDocs Shortcode' block (No need to go to the settings page to change the Docs archive options)
Tweaked: Responsive design improved on the doc details page
Tweaked: Integrated dynamic popular keywords option in the EazyDocs Search widget
Tweaked: Book chapter layout improved
Tweaked: Improved the doc middle content on the big screen
Tweaked: Necessary support added for EazyDocs Premium version 2.0.0

= 2.4.0 (14 January 2024) =
Fixed: Delete and Create doc secured by user role (user who has not the capability to delete or create doc, they can't delete or create doc)
Fixed: Feedback Email field did not work in incognito mode
Fixed: Solved fatal error by reverting a function name with template override
Fixed: Archive page masonry layout was not working
Tweaked: Doc excerpt design improved with non-bootstrap based themes
Updated: Freemius SDK updated to 2.6.2

= 2.3.9 (29 December 2023) =
Fixed: Resolved the issue with the show more button in Single Doc elementor widget preset 4
Fixed: The problem with Analytics views
Tweaked: Added an option in the settings for dynamic popular keywords in the doc search form
Tweaked: Notification dropdown box design improved
New: Users can now delete their own documents

= 2.3.8 (25 December 2023) =
Fixed: In some cases, the doc creation was not working
Tweaked: Compatibility with any block theme (the header and footer of block theme will show properly)
Tweaked: Compatibility with the latest EazyDocs Pro v1.4.3
Tweaked: The Feedback form is now more secure
Updated: Language (.pot) file

= 2.3.7 (17 December 2023) =
Updated: Freemius SDK updated to 2.6.1
Tweaked: Users role replaced by their capabilities - Followed by org review
Fixed: theme check in ezd_unlock_themes (Merge pull request #10 from EazyDocs Github repository)

= 2.3.6 (10 December 2023) =
Fixed: COMPATIBILITY ISSUE WITH WPDATATABLES PLUGIN SOLVED (the plugin was conflicting with the EazyDocs plugin)
Fixed: In some cases, the drag-n-drop doc ordering was not working on the Docs builder UI
Fixed: Table of content navigation active issue with scrolling on Doc single page
Fixed: Mixitup JS library was missing, ERROR 500 on the admin side
Fixed: Resolved a critical issue causing an E_ERROR at line 168 in the feedback.php file.
Tweaked: Data secured by nonce and sanitized output - followed by wp.org standards and best practices
Tweaked: Single Doc page and OnePage Doc frontend design improved in 4k resolution display
Tweaked: The "Docs Page" option moved to the Archive tab in the EazyDocs > Settings > Docs Archive page
Tweaked: Frontend design improved (Doc single page, OnePage Doc, Feedback modal)
Tweaked: Rating notice text updated with created doc count
Tweaked: Modified user feedback settings to make them private, restricting visitor access from the frontend.
Tweaked: Implemented measures to make user feedback non-accessible, preventing Google indexing for enhanced privacy.
Tweaked: Doc Builder UI design improved
Tweaked: Removed some unnecessary files and code (normalize.css)
Tweaked: Added "Breadcrumb" show/hide option in the Settings > Doc Single > Search Banner, so that a user can enable or disable the breadcrumbs in the search Ajax results
Updated: eazydocs.pot file in the languages folder

= 2.3.5 (17 November 2023) =
Fixed: Shortcode wasn't rendering in the doc content area.
Fixed: Console error for the Conditional dropdown on the right sidebar (unlocked in EazyDocs Pro, Docy and Docly themes)
Fixed: Conditional dropdown was conflicting with Bootstrap based themes (removed the bootstrap-select JS and made it with custom JS)
Fixed: On Doc single page, the left sidebar doc menu item's child expand icon (which has children item) click wasn't working as expected

= 2.3.4 (15 November 2023) =
Fixed: Left sidebar arrow icon toggle not working on Ajax load
Fixed: Some JS was not working on the Ajax loaded content
New: Right sidebar template added OnePage Doc (unlocked in Docy, Docly themes and EazyDocs Premium plans)
Tweaked: Improved the OnePage Doc design
Tweaked: Improved the custom framework CSS to avoid conflict with other frameworks, themes and plugins
Tweaked: Deleted some unnecessary codes and files
Tweaked: Sidebar open icon made smaller on mobile device to adjust spacing with the doc content
Tweaked: Properly sanitized $wpdb queries and custom SQL queries to avoid SQL injection vulnerabilities (Thanks to the EazyDocs users for the report)
Tweaked: Compatibility with FSE/block themes (tested with 'Twenty Twenty-Four' and 'Twenty Twenty-Three' improved
Tweaked: Feedback modal UX improved (the modal will close on clicking on the modal overlay area)
Updated: Freemius SDK updated to 2.6.0

= 2.3.3 (05 November 2023) =
Tweaked: Full width layout improved (padding adjusted)
Tweaked: Hover state improved on the current Doc item on the Left sidebar on the single doc page.
Fixed: Keywords were missing in the Search Banner block (unlocked in Docy, Docly themes and EazyDocs Premium plans)

= 2.3.2 (03 November 2023) =
Note: The EazyDocs Search Form widget re-structured and improved. If you are using the EazyDocs Search Form widget on your site, you may need to re-configure the widget settings.
New: Submit button position, border radius and Form Width fields are added in the EazyDocs Search Elementor widget
Fixed: Console error on block editor if the 'EazyDocs Search Banner' block is used on the page
Tweaked: EazyDocs Search Elementor widget's markup, design and design improved
Tweaked: Ajax Search results styling improved
Tweaked: Made the Block's assets load conditional. Now the assets will load only if the block is used on the page.
Tweaked: Deleted some unnecessary files (src/shortcode/block-shortcode-render.php) and code
Tweaked: Code structure improved

= 2.3.0 (02 November 2023) =
New: Auto Numbering option added for the Doc Sidebar Toc in the EazyDocs > Settings > Single Doc > Right Sidebar
New: Doc views count column in Classic view mode on the admin dashboard. See it https://i.postimg.cc/HnzYnhMr/image.png
Tweaked: Default brand color changed to #0866ff to make the design more clean and minimal.
Tweaked: Some design (share modal, font size switcher, feedback modal, doc single page) improved
Tweaked: Bootstrap dependency removed from EazyDocs completely. Now EazyDocs will not conflict with any theme or plugin.
Tweaked: Prefix common class like badge, utility classes to avoid conflict with other themes and plugins.
Tweaked: Coding standard improved and some unnecessary code removed.
Tweaked: Some design improved for mobile devices.
Tweaked: Tested and make fully compatible the plugin with some popular themes like Astra, Blocksy, Storefront, Hello Elementor, GeneratePress, Twenty Twenty Two, Twenty Twenty One, Avada, Divi, Hestia, Jupiter and more.
Fixed: Private Docs count was not showing on the EazyDocs shortcode and Elementor widgets.
Fixed: In some cases, the doc View counter was not update.
Fixed: Some JavaScript functions were not working on the Single doc Ajax loading.

= 2.2.4 (21 September 2023) =
New: Brand Color on Dark Mode option added in the EazyDocs > Settings > General
Updated: Freemius SDK to the latest version 2.5.12
Updated: Language (.pot) file
Tweaked: File system structure improved in the plugin folder
Tweaked: Design improved
Tweaked: Code format improved

= 2.2.3 (10 September 2023) =
Fixed: Mixitup JS console error on the admin side
Tweaked: Responsive view of Feedback form improved
Tweaked: Dark mode colors improved to make it more readable
Tweaked: Doc single design improved (content width, left sidebar navigation active color, right sidebar width on full width mode)

= 2.2.2 (03 July 2023) =
New: French, Portuguese, Chinese, Spanish, German, Russian language translation files are added. Now, the plugin's strings will be translated automatically if your site language is set to any of these languages.
Tweaked: Made the settings page translatable
Tweaked: clear both CSS applied to the Doc bottom area on the Doc single page to avoid the overlapping issue
Tweaked: Removed some unnecessary files from the plugin (options framework's unnecessary files)

= 2.2.1 (30 July 2023) =
Updated: Freemius SDK updated 2.5.10
Updated: Options framework updated to improve integration with the latest WordPress version
Updated: Language .pot files
Tweaked: Some design improved

= 2.2.0 (16 June 2023) =
New: Elementor Search Banner layout added in the 'EazyDocs > Settings > Doc Single > Search Banner' page. Now you can create/customize the doc search banner with Elementor
Fixed: Next & Prev docs issue solved
Fixed: Brand color wasn't changing
Tweaked: Added Tabs Arrow Icon when the tabs are more than the container width in the EazyDocs Multi Docs Elementor Widget (unlocked in Premium plan, Docy and Docly themes)
Tweaked: Search banner compatibility with Docy & Docly themes improved
Tweaked: Doc single page design improved (active doc item color)
Tweaked: Compatibility with block/FSE themes improved

= 2.1.8 (12 May 2023) =
Fixed: JS error on the docs-single.js file 787 line number
Tweaked: Compatibility with Docy theme improved (dark mode, search banner, and other minor issues)
Tweaked: Some Dark mode colors are changed to improve the text readability

= 2.1.7 (16 April 2023) =
Fixed: PHP error

= 2.1.6 (16 April 2023) =
Fixed: EEE text was appending before the Ajax search result items.
Tweaked: Removed the deprecated function get_page_by_title to be compatible with the WordPress version 6.2.0! Used WP_Query instead.
Tweaked: Dark Mode colors improved
Tweaked: Responsive design improved

= 2.1.5 (04 April 2023) =
New: Featured image show/hide option added in the EazyDocs > Settings > Doc Single > General tab
Fixed: Some JS errors on the Doc single page and admin side
Tweaked: Deleted some unnecessary and merged some JS files

= 2.1.4 (12 March 2023) =
Fixed: Settings page was missing on some web server

= 2.1.3 (12 March 2023) =
Fixed: The search banner background was missing and not changing custom background color and image from the Settings page

= 2.1.2 (11 March 2023) =
Tweaked: Options Visibility option changed to Switcher from Dropdwon in the Settings page
Fixed: wp_mail() was conflicting with SMTP plugins.
Fixed: Pro settings was not unlocking on the customizer even after activating the license key.

= 2.1.1 (01 March 2023) =
New: demo.xml file added in the include/sample-data folder
Tweaked: EazyDocs Docs Builder UI RTL view improved
Tweaked: Added Column changing option in Single Doc widget
Tweaked: OnePage Doc design improved (unlocked in the Premium and Docy theme)

= 2.1.0 (11 February 2023) =
New: Keywords background and text color hover color change options added in the Doc Search Elementor widget
Fixed: 404 Error was showing often on creating a new doc in Nginx server (CRUD operational issues solved for NGINX server)
Tweaked: Language file updated
Tweaked: block_categories was deprecated in WordPress 5.8.0. Replaced with block_categories_all
Tweaked: Alert prompt message font size adjusted and some message text updated according to the context of task in the admin side.
Tweaked: Elementor widget's frontend design improved
Tweaked: Code structure improved to make it more readable, maintainable
Tweaked: Some unnecessary code and files removed

= 2.0.6 (11 January 2023) =
Tweaked: Folder open/close icon CSS improved to make compatible with image lazy loading plugins.
Tweaked: Dark mode colors improved.
Updated: Removed some unnecessary code

= 2.0.5 (29 December 2022) =
Fixed: Doc navigation's active state wasn't working with Ajax load
New: [reference] shortcode added to show/create Footnotes (unlocked with Docy, Docly and EazyDocs premium). Read doc here https://tinyurl.com/2ewlorze
New: Trash icon (with trashed docs count) added on the top of the Doc builder UI
Tweaked: Docs builder UI design improved
Tweaked: Compatibility with the EazyDocs Pro version improved
Tweaked: Doc navigation active state design
Tweaked: Font size switcher JS merged with the main JS file to improve the frontend loading performance
Tweaked: Doc frontend view on Tablet and Mobile devices improved
Tweaked: jQuery UI loading from WordPress core in the admin area to improve the admin area loading performance
Tweaked: OnePage doc design improved (Unlocked in the Docy, Docly theme and EazyDocs Pro version)

= 2.0.1 (08 December 2022) =
Fixed: Creating new doc wasn't working
Tweaked: Docs filter by words/characters restore to default data after clearing the search
Tweaked: Docs builder UI design improved

= 2.0.0 (05 December 2022) =
Note/Blog: This is a major release. Please read the release notes carefully before updating https://tinyurl.com/2zx3askn
New: Opt-In v.2.0
New: Drag-n-drop ordering and nesting of docs in the Docs builder UI in the WordPress Admin dashboard
New: Docs, Single Doc and Doc Search Form Elementor widgets added
New: Show excerpt on the Doc single page
Fixed: eazydocs_local_object was not appropriately enqueued in the admin dashboard pages. That's why the Notice dismiss, and later buttons were not working
Fixed: Left and Right sidebar was not showing on mobile devices
Fixed: The Share popup was not showing properly with other themes (except the Docy and Docly themes)
Tweaked: The Docs filtering by matched words/characters is now more user-friendly by keeping the matched doc accordion open
Tweaked: Dark mode colors improved
Tweaked: Assets loading improved (dependency added)
Tweaked: Code standard/format improved

= 1.3.7 (12 November 2022) =
Tweaked: Compatibility with any themes improved
Fixed: Pro Max Options was not unlocking with the Pro Max license

= 1.3.6 (10 November 2022) =
Fixed: Pro notice issue even if the license is activated
Tweaked: Version number added to the assets to avoid cache issue
Updated: Freemius SDK updated to the latest version (2.4.5)
Updated: Language (.pot) file

= 1.3.5 (06 November 2022) =
New: Share button added to the single doc page (Social share, Email share, Copy link)
Tweaked: Excerpt content support in the doc section archive
Tweaked: Left sidebar design (doc item hover, active states spacing) improved
Tweaked: Doc single page view improved on mobile devices
Tweaked: Last level doc item support added in the OnePage doc layouts (unlocked in EazyDocs Pro, Docy and Docly themes)
Tweaked: Compatibility with any themes improved

= 1.3.4 (15 October 2022) =
Fixed: The right sidebar TOC was not showing in the previous version (1.3.3)
Tweaked: Credit text is now editable from EazyDocs > Settings > Doc Single > General
Tweaked: Password protected form design
Tweaked: Folder structure re-organized

= 1.3.3 (10 October 2022) =
New: EazyDocs shortcode block
New: Search Banner block
New: Background and Padding options added in the EazyDocs > Settings > Doc Single > Search Banner
Tweaked: Compatibility with themes improved
Removed: Some unnecessary files (some font files)

= 1.3.2 (10 September 2022) =
New: Show password protected, private (internal) docs in the docs archive page with specialized design
Fixed: Doc TOC was not showing (except Docy & Docly)
Fixed: If a visitor was open a document with an anchor URL to some title - they were not get an automatic scroll to the title.
Fixed: Font size switcher was not working in Tabs, Ul, OL contents
Tweaked: Ajax search results improved
Tweaked: Dark mode switcher and colors
Tweaked: Tags spacing on frontend
Tweaked: Docs builder UI design improved
Tweaked: Doc Ajax search results improved (performance and design)

= 1.3.1 (23 August 2022) =
New: Login template for Private docs and Contributors (can be used with EazyDocs Pro)
Tweaked: Compatibility improved with the EazyDocs Pro 1.8.0
Tweaked: Private docs shown in the [eazydocs] shortcode archive page.
Tweaked: [eazydocs] shortcode UI design improved

= 1.3.0 (01 August 2022) =
New: Ajax Live Search results style improved to include all doc contents in the results
New: Topics Count and Topic Count Text change options added in the EazyDocs > Settings > Docs Archive page.
New: Extended left sidebar layout (unlocked in EazyDocs Pro)
Tweaked: Theme compatibility improved
Tweaked: Live Search Results show on focused mode

= 1.2.9 (21 July 2022) =
New: Full Screen OnePage Doc layout added (PRO feature, unlocked with Docy and Docly themes)
New: Left and Right content insert boxes added for OnePage doc layouts. Now, you can insert content at the left, right side of the OnePage docs (PRO feature, unlocked with Docy and Docly themes)
Tweaked: Child docs design improved in the Doc Section page
Tweaked: Right sidebar was contents are now scrollable.
Tweaked: Deleted duplicate article listing on the Doc Section page.
Fixed: Feedback Email was not sending
Fixed: Filter form and Left Sidebar Toggle Switcher Show/Hide option was not working

= 1.2.8 (02 July 2022) =
Tweaked: Doc single page view improved (right sidebar, left sidebar, Feedback modal form) on small devices (tablet, mobile)
Tweaked: Settings re-organized to find easily
Fixed: Docs Slug was not changing

= 1.2.7 (27 June 2022) =
Tweaked: The Doc Search Banner UI design improved
Fixed: Breadcrumbs Docs archive page text was spelled wrong

= 1.2.4 (22 June 2022) =
New: Rating notice added (dismissable)
New: Some attributes (col, include, exclude, show_docs, show_articles, more) are  added to [eazydocs] shortcode
New: Doc Layout option unlocked for Docy and Docly theme (located in EazyDocs > Settings > Single Doc > General)
Fixed: Doc section open, close icon changing option was not working (PRO feature, unlocked with Docy and Docly themes)
Fixed: Doc full-width layout
Tweaked: Theme Compatibility improved (tested with Avada, Divi, Astra, OceanWP, Storefront, Hello Elementor, GeneratePress, Twenty Twenty, Twenty Twenty One  themes)

= 1.2.3 (14 June 2022) =
Fixed: Doc left sidebar scrollbar in windows browsers
Fixed: Some settings was not working (Docs archive columns, view more button text etc)
Fixed: Bootstrap JS conflicting with bootstrap based theme
Fixed: Dark mode was not showing on OnePage Doc (PRO feature, unlocked with Docy and Docly themes)
Tweaked: Doc single page typography
Tweaked: Made the same settings/options available on the customizer and plugin Settings page.

= 1.2.2 (10 June 2022) =
Tweaked: Brand Color (rgba colors) more accurately changing
Tweaked: Theme compatibility improved (the design is more stable on any theme)
Tweaked: Dark mode colors (dark mode will work even if the theme background color customized)

= 1.2.1 (10 June 2022) =
Fixed: Doc content's media (media, video etc files) was adding as child doc
Tweaked: Theme compatibility improved (the design is more stable on any theme)

= 1.2.0 (09 June 2022) =
Fixed: OnePage permalink error (PRO feature, unlocked with Docy and Docly theme)
Fixed: Doc left sidebar content was overflowing with exceeding articles.
Tweaked: Left sidebar articles line height and gap improved

= 1.1.9 (07 June 2022) =
New: OnePage Docs (PRO feature, unlocked with Docy and Docly theme)
Tweaked: Doc single page view improved on mobile (left and right sidebar position)
Tweaked: Feedback contact form design improved
Tweaked: Dark Mode CSS
Tweaked: Removed some unnecessary CSS
Updated: Language file

= 1.1.8 (27 May 2022) =
New: 'Doc Right Sidebar' widget area registered to
New: RTL compatibility added
New: Dark Mode switcher in Settings > Single Doc > Right Sidebar (for PRO version)
Tweaked: Doc single page view improved on mobile
Tweaked: Shortcode design improved (topics count added)

= 1.1.7 (23 May 2022) =
Fixed: There was problem with purchasing the EazyDocs Pro version (payment mode was in test mode).
New: 'Number of Articles' option added in EazyDocs > Settings > Docs Archive
Tweaked: Frontend assets are loading on demand (loads the css, js files when needed)
Tweaked: On demand assets loading (loading only necessary css, javascript assets on the EazyDocs pages and will not load our assets on other pages of your website)

= 1.1.6 (20 May 2022) =
Tweaked: Doc single page design
Tweaked: Version number suffix added to plugin's custom stylesheet and scripts file to load the updated files easily
Tweaked: Removed some unnecessary code

= 1.1.5 (19 May 2022) =
Tweaked: Theme compatibility improved
Tweaked: Backend and frontend design improved
Updated: Language file updated
Fixed: The conditional dropdown was not working

= 1.1.4 (14 May 2022) =
Fixed: Was conflicting with theme's single.php template file
Tweaked: Plugin logo

= 1.1.3 (13 May 2022) =
New: Estimated Reading Time, Views options added to EazyDocs > Settings > Single Doc > General
New: Added Tags under the EazyDocs admin menu
New: Recently Viewed articles and Related articles features added on the Single Doc
Tweaked: Unnecessary CSS removed
Tweaked: Integrate with any theme (compatibility improved)
Tweaked: Left sidebar toggle show/hide
Tweaked: Doc frontend design
Fixed: PHP errors in Creat_Post.php file (line numbers 118, 131)

= 1.1.2 (10 May 2022) =
New: 'Show/Hide Breadcrumb' option added in EazyDocs > Settings > Single Doc > Breadcrumbs
Tweaked: Columns (left sidebar, middle content and right sidebar) adjustment improved on medium device
Tweaked: Doc single page elements (left sidebar navigation, background color, position, height) design improved

= 1.1.1 (09 May 2022) =
* New: Customizer Options added to customize the Docs Archive & Single page
* New: Pro Features and Options added (locked)
* Tweaked: Contact Form modal design improved


= 1.1.0 (02 May 2022) =
* New: Search Banner
* New: Brand Color changing option added to Settings page.
* Dropped: Add New Doc via Ajax feature dropped due to this feature was not working for some users
* Fixed: Doc archive page was rendering doc lists incorrectly
* Fixed: JS error on single doc
* Tweaked: Responsive view improved
* Tweaked: Add prefix to HTML classes, IDs to avoid conflict with other plugins and themes
* Tweaked: Some UI & UX improved on doc frontend
* Tweaked: Admin UI & UX improved
* Tweaked: Left sidebar toggle position
* Tweaked: Was this doc helpful? Voting design and ajax loading icon improved
* Tweaked: Code and file structure re-organized

= 1.0.0 (09 April 2022) =
 * Init: Initial release